const config = require("../config")

const legend = [

    //作物分布图例 0
    [{"name":"荔枝", "color":"#005BE7"},{"name":"龙眼", "color":"#01A884"},{"name":"化橘红", "color":"#ED0911"},{"name":"三化李", "color":"#A7A700"},],
    //作物分布图例 1
    [{"name":"开花期", "color":"#98E500"},{"name":"生理落果期", "color":"#D9E714"},{"name":"果实发育期", "color":"#DEAC00"},{"name":"果实成熟期", "color":"#E34D00"}],
    //土壤墒情 2
    [{"name":"一级", "color":"#E84335"},{"name":"二级", "color":"#18E6F6"},{"name":"三级", "color":"#653AA7"},{"name":"四级", "color":"#1469F7"},{"name":"五级", "color":"#799A85"},],
    //温度分布 3
    [{"name":"> 30C°", "color":"#E52B31"},{"name":"20C°~30C°", "color":"#AE8100"},{"name":"10C°~20C°", "color":"#49B000"},{"name":"< 10C°", "color":"#666FF0"},],

    //气象图例 4无风险、低风险，中风险，高风险，极高风险
    [{"name":"无风险", "color":"#2892C6"},{"name":"低风险", "color":"#78BAA6"},{"name":"中风险", "color":"#F2F134"},{"name":"高风险", "color":"#EC6944"},{"name":"极高风险", "color":"#B40404"}],

    //病虫害分布 5
    [{"name":"无风险", "color":"#56556C"},{"name":"低风险", "color":"#8DB8A4"},{"name":"中风险", "color":"#D9E27F"},{"name":"高风险", "color":"#F5CF49"},{"name":"极高风险", "color":"#F87A2D"},{"name":"已病害", "color":"#E71413"}],

    //荔枝品种分布图例 6
    [{"name":"未知", "color":"point6.png"},{"name":"桂味", "color":"point1.png"},{"name":"槐枝", "color":"point2.png"},{"name":"井岗红糯", "color":"point3.png"},{"name":"糯米糍", "color":"point4.png"},{"name":"岭丰糯", "color":"point5.png"},],

    //农事 7
    [{"name":"已喷药", "color":"action_py.png"},{"name":"已施肥", "color":"action_sf.png"},
        {"name":"待喷药", "color":"action_stay_py.png"},{"name":"待施肥", "color":"action_stay_sf.png"},],
    //效益 8
    [{"name":">80斤", "color":"xy8000.png"},{"name":"40~80斤", "color":"xy6000.png"},
        {"name":"<40斤", "color":"xy4000.png"},],

]


function getLegend(id){
    return legend[id];
}


module.exports = {
    legend: {
        url: "/legend",
        type: "post",
        mock: true,
        response: (opt) => {
            let body = config.getOptBody(opt);
            return getLegend(body.id);
        },
    },
}
