/*
 * @Author: your name
 * @Date: 2021-02-07 13:40:50
 * @LastEditTime: 2021-12-02 15:59:52
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \vue3-element-admin\src\api\modules\system.js
 */
// const Mock = require("mockjs"); //引入
const config = require("../config")

module.exports = {
    baseInfo: {
        url: config.base_url + "home/base-info/{gardenId}",
        type: "get",
    },
    weatherWarning: {
        url: config.base_url + "home/weather-warning/{gardenId}",
        type: "get",
    },
    outputCalc: {
        url: config.base_url + "home/output-calc/{gardenId}",
        type: "get",
    },
    growAbnormal: {
        url: config.base_url + "home/grow-abnormal/{gardenId}",
        type: "get",
    },
    pestAbnormal: {
        url: config.base_url + "home/pest-abnormal/{gardenId}",
        type: "get",
    },
    pestStatistics: {
        url: config.base_url + "home/pest-statistics/{gardenId}/{warningType}",
        type: "get",
    },
    // 生长态势图例
    szLegend: {
        url: config.base_url + "lz_period_progress/list/{periodId}",
        type: "get",
    },
    // 生长态势数据
    szList: {
        url: config.base_url + "home/grow-statistics/{gardenId}",
        type: "get",
    },
};
